=== debian/changelog ===
ctpl (0.2.2-0ubuntu1) maverick; urgency=low

  [ Jonathan Michalon ]
  * Initial release (Closes: #579509)

  [ Chow Loong Jin ]
  * debian/libctpl-dev.install: Drop .a file
  * debian/control: Set Maintainer to Ubuntu Developers

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 06 Aug 2010 21:20:43 +0800
