=== debian/control ===
Source: ctpl
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Michalon <johndescs@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
               libtool (>= 2.2),
               libglib2.0-dev (>= 2.16),
               libglib2.0-doc (>= 2.16),
               gtk-doc-tools (>= 1.9),
               pkg-config (>= 0.9)
Standards-Version: 3.9.0
Section: libs
Homepage: http://ctpl.tuxfamily.org/

Package: libctpl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-dev,
         libctpl1 (= ${binary:Version})
Description: A template engine written in C, development files
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains the header files and static library which is needed
 for developing CTPL applications

Package: libctpl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A template engine written in C
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.


Package: libctpl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc (>= 2.16)
Description: Documentation files for CTPL
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains the documentation for CTPL.

Package: ctpl
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libctpl1 (= ${binary:Version})
Description: Command-line template parsing utility
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains a standalone command-line utility to parse CTPL
 templates.
