## ctpl 0.3

=== wscript ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 
 APPNAME		= 'ctpl'
-VERSION		= '0.2.2'
-LTVERSION	= '1.0.2' # emulate Libtool version
+VERSION		= '0.3'
+LTVERSION	= '2.0.0' # emulate Libtool version
 
 srcdir = '.'
 blddir = '_build_'
@@ -44,30 +44,31 @@
 
 HEADERS = [
 'src/ctpl.h',
-'src/environ.h',
-'src/eval.h',
-'src/io.h',
-'src/input-stream.h',
-'src/lexer.h',
-'src/lexer-expr.h',
-'src/output-stream.h',
-'src/parser.h',
-'src/token.h',
-'src/value.h']
+'src/ctpl-environ.h',
+'src/ctpl-eval.h',
+'src/ctpl-io.h',
+'src/ctpl-input-stream.h',
+'src/ctpl-lexer.h',
+'src/ctpl-lexer-expr.h',
+'src/ctpl-output-stream.h',
+'src/ctpl-parser.h',
+'src/ctpl-token.h',
+'src/ctpl-value.h',
+'src/ctpl-version.h']
 
 LIBRARY_SOURCES = '''
-src/environ.c
-src/eval.c
-src/io.c
-src/input-stream.c
-src/lexer.c
-src/lexer-expr.c
-src/mathutils.c
-src/output-stream.c
-src/parser.c
-src/stack.c
-src/token.c
-src/value.c'''
+src/ctpl-environ.c
+src/ctpl-eval.c
+src/ctpl-io.c
+src/ctpl-input-stream.c
+src/ctpl-lexer.c
+src/ctpl-lexer-expr.c
+src/ctpl-mathutils.c
+src/ctpl-output-stream.c
+src/ctpl-parser.c
+src/ctpl-stack.c
+src/ctpl-token.c
+src/ctpl-value.c'''
 
 
 CTPL_SOURCES = ['src/ctpl.c']
@@ -94,6 +95,7 @@
 	conf.check_cfg(package='glib-2.0', atleast_version='2.10.0', uselib_store='GLIB',
 		mandatory=True, args='--cflags --libs')
 	conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
+	conf.check_cfg(package='gio-2.0', atleast_version='2.24.0', uselib_store='GIO_2_24', args='--cflags --libs', mandatory=False)
 	conf.check_cfg(package='gio-unix-2.0', uselib_store='GIO_UNIX', args='--cflags --libs', mandatory=False)
 
 	# Windows specials
@@ -132,6 +134,9 @@
 	Utils.pprint('BLUE', 'Summary:')
 	print_message(conf, 'Install CTPL ' + VERSION + ' in', conf.env['PREFIX'])
 
+	# FIXME: this one should not be defined for the ctpl program
+	conf.env.append_value('CCFLAGS', '-DCTPL_COMPILATION')
+
 	conf.env.append_value('CCFLAGS', '-DHAVE_CONFIG_H')
 	conf.env.append_value('CCFLAGS', '-Wall')
 	#~ conf.env.append_value('CCFLAGS', '-Werror')
@@ -174,7 +179,7 @@
 			target			= 'ctpl',
 			source			= CTPL_SOURCES,
 			includes		= '. src',
-			uselib			= 'GTK GIO GIO_UNIX',
+			uselib			= 'GLIB GIO_2_24 GIO_UNIX',
 			uselib_local	= 'ctpl_lib'
 		)
