=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libglib2.0-doc (>= 2.16),
                gtk-doc-tools (>= 1.9),
                pkg-config (>= 0.9)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://ctpl.tuxfamily.org/
