## ctpl 0.3.2

=== wscript ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 
 APPNAME		= 'ctpl'
-VERSION		= '0.3'
-LTVERSION	= '2.0.0' # emulate Libtool version
+VERSION		= '0.3.2'
+LTVERSION	= '2.2.0' # emulate Libtool version
 
 srcdir = '.'
 blddir = '_build_'
@@ -68,7 +68,8 @@
 src/ctpl-parser.c
 src/ctpl-stack.c
 src/ctpl-token.c
-src/ctpl-value.c'''
+src/ctpl-value.c
+src/ctpl-version.c'''
 
 
 CTPL_SOURCES = ['src/ctpl.c']
