=== debian/changelog ===
ctpl (0.3.2-1) unstable; urgency=low

  [ Jonathan Michalon ]
  * New upstream release
  * Add libctpl-doc suggestion in libctpl-dev
  * Improvments pointed by Chow Loong Jin (thanks!):
    + Reset debian/libctpl2.symbols' minimum versions of symbols appeared
      before last SONAME bump to 0.3
    + Drop all static libraries (*.a) from package 
    + Fix minimal build-dep version of libglib2.0-dev, from 2.16 to 2.24
      because ctpl CLI tool needs gio-2.0 >= 2.24
    + Drop libctpl2 dependency of ctpl tool to let dh_shlibdeps find it

  [ Evgeni Golov ]
  * Add Chow Loong Jin and myself to Uploaders.
  * Install upstream's "NEWS" file as changelog in /u/s/doc/.
  * Set Vcs-* fields for pkg-geany git.
  * Set pkg-geany as maintainer.
  * Slightly impove package descriptions.
  * Install README and TODO in libctpl-doc, don't install NEWS a second time.
  * Update debian/copyright to DEP5.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 17 Mar 2011 14:40:59 +0100

ctpl (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Michalon <johndescs@gmail.com>  Mon, 15 Nov 2010 18:43:42 +0100

ctpl (0.3-1) unstable; urgency=low

  * New upstream release
   + This is an ABI / API break, bump soname to libctpl2:
      - Renamed libctpl1.install to libctpl2.install,
        modified symbols (created libctpl2.symbols from libctpl1.symbols)
      - debian/control: Change package names accordingly.
   + debian/control: bump Standards-Versions to 3.9.1 (no changes needed)

 -- Jonathan Michalon <johndescs@gmail.com>  Sun, 17 Oct 2010 17:19:00 +0200

ctpl (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #579509)

 -- Jonathan Michalon <johndescs@gmail.com>  Wed, 26 May 2010 09:28:16 +0000
