=== debian/control ===
Source: ctpl
Priority: optional
Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
Uploaders: Jonathan Michalon <johndescs@gmail.com>, 
 Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
               libtool (>= 2.2),
               libglib2.0-dev (>= 2.24),
               libglib2.0-doc (>= 2.24),
               gtk-doc-tools (>= 1.9),
               pkg-config (>= 0.9)
Standards-Version: 3.9.1
Section: libs
Homepage: http://ctpl.tuxfamily.org/
Vcs-Git: git://git.debian.org/pkg-geany/packages/ctpl.git
Vcs-Browser: http://git.debian.org/?p=pkg-geany/packages/ctpl.git;a=summary

Package: libctpl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-dev,
         libctpl2 (= ${binary:Version})
Suggests: libctpl-doc
Description: template engine written in C, development files
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains the header files which are needed for developing
 CTPL applications.

Package: libctpl2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: template engine written in C
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.


Package: libctpl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc (>= 2.16)
Description: template engine written in C, documentation files
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains the documentation for CTPL.

Package: ctpl
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libctpl2 (= ${binary:Version})
Description: command-line template parsing utility
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains a standalone command-line utility to parse CTPL
 templates.
