=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 
 %:
 	dh  $@
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
