## ctpl 0.3.3

=== debian/changelog ===
ctpl (0.3.3-0ubuntu1) oneiric; urgency=low

  * [1bd2b7a] New upstream release
  * [1adeb21] Drop all upstreamed patches
  * [c585f77] Update maintainer for ubuntu version
  * [97fd6f6] Patch autofoo to fix linker errors of testsuite
  * [d706798] Add autoreconf

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 11 Aug 2011 11:09:37 +0800

ctpl (0.3.2-2) UNRELEASED; urgency=low

  * [817e9c7] No change Standards-Version bump (3.9.1 → 3.9.2)
  * [2c3bb97] Cherry-pick two crash fixes from upstream

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 11 Aug 2011 08:28:05 +0800
