=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ctpl
 Priority: optional
-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
 Uploaders: Jonathan Michalon <johndescs@gmail.com>, 
  Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, autotools-dev,
                libtool (>= 2.2),
                libglib2.0-dev (>= 2.24),
                libglib2.0-doc (>= 2.24),
                gtk-doc-tools (>= 1.9),
                pkg-config (>= 0.9)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://ctpl.tuxfamily.org/
 Vcs-Git: git://git.debian.org/pkg-geany/packages/ctpl.git
