=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,10 @@
 
 
 %:
-	dh  $@
+	dh  $@ --with=autoreconf
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
