## ctpl 0.3.3.dfsg

=== wscript ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 
 APPNAME		= 'ctpl'
-VERSION		= '0.3.2'
-LTVERSION	= '2.2.0' # emulate Libtool version
+VERSION		= '0.3.3'
+LTVERSION	= '2.2.1' # emulate Libtool version
 
 srcdir = '.'
 blddir = '_build_'
