=== debian/changelog ===
ctpl (0.3.3.dfsg-4) unstable; urgency=low

  * [b339a9e] do not warn about portability issues (Closes: #724154)
  * [9660675] use canonical URLs for Vcs-* fields, thanks lintian

 -- Evgeni Golov <evgeni@debian.org>  Thu, 03 Oct 2013 00:39:55 +0200

ctpl (0.3.3.dfsg-3) unstable; urgency=low

  * [aea1182] Reexport patches through gbp-pq
  * [7dade1b] Add patches to fix FTBFS from automake changes (Closes: #713308)
  * [fb241fb] Bump Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 23 Jun 2013 05:27:23 +0800

ctpl (0.3.3.dfsg-2) unstable; urgency=low

  [ Jonathan Michalon ]
  * [81fb579] Bump debian/compat to 9, depend on a debhelper that supports it
  * [6caf381] Add multiarch support

  [ Chow Loong Jin ]
  * [8a3545f] Use +dfsg instead of .dfsg.
    This fixes the lintian dfsg-version-with-period tag.
  * [c2f794f] Bump Standards-Version to 3.9.3
    - Update debian/copyright Format URL

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 04 May 2012 00:33:49 +0800

ctpl (0.3.3.dfsg-1) unstable; urgency=low

  * [de86980] Update my email address
  * [3ff5691] Implement repacking of tarball to remove waf
  * [c116c34] Imported Upstream version 0.3.3.dfsg (Closes: #654464)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Jan 2012 03:47:23 +0800

ctpl (0.3.3-1) unstable; urgency=low

  * [1bd2b7a] New upstream release
  * [1adeb21] Drop all upstreamed patches
  * [bb3de94] Patch autofoo to fix linker errors of testsuite
  * [3c3b6a0] Add autoreconf

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 11 Aug 2011 11:35:44 +0800

ctpl (0.3.2-2) unstable; urgency=low

  * [817e9c7] No change Standards-Version bump (3.9.1 → 3.9.2)
  * [2c3bb97] Cherry-pick two crash fixes from upstream

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 11 Aug 2011 08:28:05 +0800
