=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: ctpl
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
-Uploaders: Jonathan Michalon <johndescs@gmail.com>, 
- Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, autotools-dev,
+Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
+Uploaders: Jonathan Michalon <johndescs@gmail.com>,
+ Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev,
                libtool (>= 2.2),
                libglib2.0-dev (>= 2.24),
                libglib2.0-doc (>= 2.24),
                gtk-doc-tools (>= 1.9),
                pkg-config (>= 0.9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://ctpl.tuxfamily.org/
-Vcs-Git: git://git.debian.org/pkg-geany/packages/ctpl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-geany/packages/ctpl.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/ctpl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/ctpl.git;a=summary
 
 Package: libctpl-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          libglib2.0-dev,
          libctpl2 (= ${binary:Version})
@@ -35,6 +35,8 @@
 
 Package: libctpl2
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: template engine written in C
  CTPL is a C template engine library allowing fast and easy computation of
