=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,16 @@
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
+
+# get-orig-source to drop waf (see: http://bugs.debian.org/654464)
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)([.+]dfsg)?.*$$/\1/p')
+dfsg_version = $(upstream_version)+dfsg
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+get-orig-source:
+	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
+	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	rm $(pkg)-$(dfsg_version)/waf
+	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
+	rm -rf $(pkg)-$(dfsg_version)
