=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/\+dfsg\.\d+$// \
http://download.tuxfamily.org/ctpl/releases/ctpl-(.*)\.tar\.gz
