## ctpl 0.3.4+dfsg

=== wscript ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 
 APPNAME		= 'ctpl'
-VERSION		= '0.3.3'
-LTVERSION	= '2.2.1' # emulate Libtool version
+VERSION		= '0.3.4'
+LTVERSION	= '2.2.2' # emulate Libtool version
 
 srcdir = '.'
 blddir = '_build_'
@@ -59,6 +59,7 @@
 LIBRARY_SOURCES = '''
 src/ctpl-environ.c
 src/ctpl-eval.c
+src/ctpl-i18n.c
 src/ctpl-io.c
 src/ctpl-input-stream.c
 src/ctpl-lexer.c
@@ -98,6 +99,7 @@
 	conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
 	conf.check_cfg(package='gio-2.0', atleast_version='2.24.0', uselib_store='GIO_2_24', args='--cflags --libs', mandatory=False)
 	conf.check_cfg(package='gio-unix-2.0', uselib_store='GIO_UNIX', args='--cflags --libs', mandatory=False)
+	conf.check_cfg(package='gio-windows-2.0', uselib_store='GIO_WINDOWS', args='--cflags --libs', mandatory=False)
 
 	# Windows specials
 	if is_win32:
@@ -129,6 +131,8 @@
 	conf.define('CTPL_PREFIX', '' if is_win32 else conf.env['PREFIX'], 1)
 	conf.define('PACKAGE', APPNAME, 1)
 	conf.define('VERSION', VERSION, 1)
+	conf.define('GETTEXT_PACKAGE', VERSION, 1)
+	conf.define('LOCALEDIR', os.path.join(conf.env['DATADIR'], 'locale'), 1)
 
 	conf.write_config_header('config.h')
 
@@ -173,19 +177,18 @@
 
 	# CTPL
 	# ctpl.c doesn't build on Windows currently because of g_unix_output_stream_new()
-	if not is_win32:
-		bld.new_task_gen(
-			features		= 'cc cprogram',
-			name			= 'ctpl_utility',
-			target			= 'ctpl',
-			source			= CTPL_SOURCES,
-			includes		= '. src',
-			uselib			= 'GLIB GIO_2_24 GIO_UNIX',
-			uselib_local	= 'ctpl_lib'
-		)
-
-		# ctpl.1
-		bld.install_files('${MANDIR}/man1', 'data/ctpl.1')
+	bld.new_task_gen(
+		features		= 'cc cprogram',
+		name			= 'ctpl_utility',
+		target			= 'ctpl',
+		source			= CTPL_SOURCES,
+		includes		= '. src',
+		uselib			= 'GLIB GIO_2_24 ' + ['GIO_UNIX','GIO_WINDOWS'][is_win32],
+		uselib_local	= 'ctpl_lib'
+	)
+
+	# ctpl.1
+	bld.install_files('${MANDIR}/man1', 'data/ctpl.1')
 
 	# ctpl.pc
 	bld.new_task_gen(
