=== debian/changelog ===
ctpl (0.3.4+dfsg-4) unstable; urgency=medium

  * Reupload as source-only package to unblock migration to testing

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 27 Sep 2022 15:56:13 +0800

ctpl (0.3.4+dfsg-3) unstable; urgency=medium

  * [d6f000a] Fix dversionmangle in watch file

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 09 Jul 2022 23:18:46 +0800

ctpl (0.3.4+dfsg-2) unstable; urgency=medium

  * [113039f] Update Vcs-* fields to point to salsa
  * [ea1ffa6] Bump Standards-Version to 4.6.0
  * [f93ec55] List *.a and *.la in debian/not-installed
  * [9949407] Add libctpl-data package to ship translation files
  * [b0ed98a] Drop redundant autotools-dev and dh-autoreconf build-dep
  * [f6ad0af] Override doc-base-file-referencese-wrong-path about gtk-doc path
  * [9962177] Ignore source-is-missing for one of the doc files
  * [6420d56] Patch to fix FTBFS due to tempfile command usage (Closes: #997514)

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 09 Jul 2022 14:57:38 +0800

ctpl (0.3.4+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:01:44 +0100

ctpl (0.3.4+dfsg-1) unstable; urgency=medium

  * [c18a25d] Imported Upstream version 0.3.4
  * [63a3359] Refresh patches
  * [e91f2d2] Update symbols file
  * [b4c48cc] Pass -c4 to dpkg-gensymbols
  * [b28c114] Port get-orig-source to d/copyright files-excluded
  * [1adb787] Add pgp options to watch
  * [550f76a] Bump Standards-Version to 3.9.8

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Dec 2016 06:02:27 +0800
