=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
 Uploaders: Jonathan Michalon <johndescs@gmail.com>,
  Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev,
+Build-Depends: debhelper-compat (= 13),
                libtool (>= 2.2),
                libglib2.0-dev (>= 2.24),
                libglib2.0-doc (>= 2.24),
                gtk-doc-tools (>= 1.9),
                pkg-config (>= 0.9)
-Standards-Version: 3.9.4
+Standards-Version: 4.6.0
 Section: libs
 Homepage: http://ctpl.tuxfamily.org/
-Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/ctpl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/ctpl.git;a=summary
+Vcs-Browser: https://salsa.debian.org/geany-team/ctpl
+Vcs-Git: https://salsa.debian.org/geany-team/ctpl.git
 
 Package: libctpl-dev
 Section: libdevel
@@ -37,6 +37,18 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libctpl-data (>= ${source:Version})
+Description: template engine written in C
+ CTPL is a C template engine library allowing fast and easy computation of
+ templates with precise control over the parsing environment.
+ .
+ CTPL supports a wide range of input types through GIO
+ like in-memory, files, FTP, HTTP and more.
+
+Package: libctpl-data
+Architecture: all
+Multi-Arch: foreign
+Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: template engine written in C
  CTPL is a C template engine library allowing fast and easy computation of
@@ -44,7 +56,8 @@
  .
  CTPL supports a wide range of input types through GIO
  like in-memory, files, FTP, HTTP and more.
-
+ .
+ This package contains data files for CTPL.
 
 Package: libctpl-doc
 Section: doc
@@ -74,4 +87,3 @@
  .
  This package contains a standalone command-line utility to parse CTPL
  templates.
-
