=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
 Uploaders: Jonathan Michalon <johndescs@gmail.com>,
  Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libtool (>= 2.2),
                libglib2.0-dev (>= 2.24),
                libglib2.0-doc (>= 2.24),
                gtk-doc-tools (>= 1.9),
-               pkg-config (>= 0.9)
+               pkgconf (>= 0.9)
 Standards-Version: 4.6.0
 Section: libs
-Homepage: http://ctpl.tuxfamily.org/
+Homepage: https://ctpl.tuxfamily.org/
 Vcs-Browser: https://salsa.debian.org/geany-team/ctpl
 Vcs-Git: https://salsa.debian.org/geany-team/ctpl.git
 
@@ -21,7 +21,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libglib2.0-dev,
-         libctpl2 (= ${binary:Version})
+         libctpl2t64 (= ${binary:Version})
 Suggests: libctpl-doc
 Description: template engine written in C, development files
  CTPL is a C template engine library allowing fast and easy computation of
@@ -33,7 +33,10 @@
  This package contains the header files which are needed for developing
  CTPL applications.
 
-Package: libctpl2
+Package: libctpl2t64
+Provides: ${t64:Provides}
+Replaces: libctpl2
+Breaks: libctpl2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Pre-Depends}
@@ -77,7 +80,7 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         libctpl2 (= ${binary:Version})
+         libctpl2t64 (= ${binary:Version})
 Description: command-line template parsing utility
  CTPL is a C template engine library allowing fast and easy computation of
  templates with precise control over the parsing environment.
