=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/b4n/ctpl/releases
Matching-Pattern: https://github.com/b4n/ctpl/releases/download/v[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Repacksuffix: +dfsg
Dversion-Mangle: auto
Pgp-Mode: default
Pgp-Sig-Url-Mangle: s/$/.sig/
Search-Mode: plain
