## ctpl 0.3.5+dfsg

=== debian/changelog ===
ctpl (0.3.5+dfsg-2) unstable; urgency=medium

  * Acknowledge NMU (0.3.4+dfsg-4.1)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 12 Nov 2024 14:28:20 +0800

ctpl (0.3.5+dfsg-1) UNRELEASED; urgency=medium

  * [dbf332f] Update upstream gpg key
  * [e2f5a97] New upstream version 0.3.5+dfsg
  * [ac85500] Drop upstreamed patches and refresh remaining
  * [d6966c5] Update symbols file
    ctpl_value_take_string was added in 0.3.5, and ctpl_gettext is an internal
    symmbol which shouldn't have been exported in the first place.
  * [a332193] Update pkg-config build-dep to pkgconf
  * [aeff0d4] Enable gtk-doc building
  * [bd858be] Add more source-is-missing overrides for gtk-doc files

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 07 Aug 2024 11:27:05 +0800

ctpl (0.3.4+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061913

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 27 Feb 2024 23:13:05 +0000
