=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                pkgconf (>= 0.9)
 Standards-Version: 4.6.0
 Section: libs
-Homepage: https://ctpl.tuxfamily.org/
+Homepage: http://ctpl.tuxfamily.org/
 Vcs-Browser: https://salsa.debian.org/geany-team/ctpl
 Vcs-Git: https://salsa.debian.org/geany-team/ctpl.git
