=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,8 @@
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
 
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-gtk-doc
+
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
